#!/usr/bin/gawk -f
#<code>
#  <owner name="Zealic" email="rszealic@gmail.com"/>
#  <version>1.0</version>
#</code>
BEGIN {
  fileCount = 0;
  fullContent[0] = "";
  fullLength = 0;
}

# MAIN
{
  # File flag
  if(FNR == 1)
  {
    fileCount++;
  }
  # Load dict
  if(fileCount == 1 && $0 ~ /\w+=.*/)
  {
    len = length($0);
    klen = index($0, "=") - 1;
    key = substr($0, 0, klen);
    value = substr($0, klen + 2, len);
    repDict[key] = value;
  }
  else if(fileCount == 2)
  {
    # Replace and store
    outValue = $0;
    for(dKey in repDict)
    {
      # Dynamic reglur exp
      nowRegex = "\\$\\(" dKey "\\)";
      dValue = repDict[dKey];
      gsub(nowRegex, dValue, outValue);
    }
    fullContent[fullLength] = outValue;
    fullLength++;
  }
}

END {
  # Output result
  for(i=0;i<fullLength;i++)
  {
    print(fullContent[i]);
  }
}
